/v2/api/entity base and authenticated with a Bearer token. The request body is a flat JSON object whose keys are the credit-charge fields.client_id, credit_type_id, start_date. Everything else is optional and either defaults or stays empty.start_date, expiry_date) accept either YYYY-MM-DD or DD/MM/YYYY.{ "message": <localized text>, "id": <new id> }.curl --location --globoff 'https://.daftara.com/v2/api/entity/credit_charge' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"client_id": 8,
"credit_type_id": 1,
"start_date": "2025-12-30",
"expiry_date": "2026-12-30",
"amount": 50,
"description": "12 months prepaid credit",
"staff_id": 1
}'{
"message": "Credit charge added successfully",
"id": 0
}